Bug 737610 - rhui-manager status only reports CDS status, not latest repo sync status
Summary: rhui-manager status only reports CDS status, not latest repo sync status
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Update Infrastructure for Cloud Providers
Classification: Red Hat
Component: RHUA
Version: 2.0.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 2.1.3
Assignee: James Slagle
QA Contact: mkovacik
URL:
Whiteboard:
Depends On:
Blocks: tracker-rhui-2.0.1
TreeView+ depends on / blocked
 
Reported: 2011-09-12 17:29 UTC by James Slagle
Modified: 2017-03-01 22:06 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-01 22:06:07 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:0367 normal SHIPPED_LIVE Red Hat Update Infrastructure 3.0 Release 2017-03-02 03:05:22 UTC

Description James Slagle 2011-09-12 17:29:58 UTC
In 2.0, rhui-manager status exits with a 0 return code even if some of the most recent repo sync have failed.  It only seems to check CDS sync status.  It should check both repo and CDS sync status to be truly reporting the status of the RHUA.

RHUA 1.2 checks both repo and CDS sync status.

Comment 1 James Slagle 2011-10-03 20:31:48 UTC
Fixed:
commit 51ad565a5ab9c920cbca46705755682f2c6092e0
Author: James Slagle <jslagle@redhat.com>
Date:   Wed Sep 14 13:11:29 2011 -0400

    bz 737610 and bz 737693 Improve rhui-manager status command



Verify "rhui-manager status" shows CDS status and repo sync status.

Comment 2 James Slagle 2011-10-10 22:50:59 UTC
Added another commit for this bug:
commit 65704b7ca4b6d91f6195885f9438485f945829bd
Author: James Slagle <jslagle@redhat.com>
Date:   Mon Oct 10 18:49:55 2011 -0400

    737610 Also add latest CDS sync status to status command


rhui-manager status should now show CDS heartbeat *and* CDS sync status, as well as repo sync status.

Comment 3 wes hayutin 2011-10-17 20:01:34 UTC
set tracker bug. 746803

Comment 5 Kedar Bidarkar 2011-10-20 09:31:34 UTC
[root@dhcp201-111 ~]# rhui-manager status
Previous authentication credentials could not be found. Logging into
the RHUI.

If this is the first time using the RHUI, it is recommended to change
the user's password in the User Management section of RHUI Tools.

RHUI Username: admin
RHUI Password: 
CDS-1_118 ................................................... [  UP  ]

CDS-1_118 ................................................... [  SUCCESS  ]
CDS-2_134 ................................................... [  UP  ]

CDS-2_134 ................................................... [  SUCCESS  ]

Red Hat Update Infrastructure 2.0 (ISOs) (6.1-x86_64) ................. [ 
ERROR  ]
Red Hat Update Infrastructure 1.2 (RPMs) (5.6-x86_64) ................. [ 
SUCCESS  ]
Red Hat Enterprise Linux 6 Server from RHUI (RPMs) (6.1-x86_64) ....... [ 
SUCCESS  ]


We now get the status of CDS as well as repo sync status

Comment 9 errata-xmlrpc 2017-03-01 22:06:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:0367


Note You need to log in before you can comment on or make changes to this bug.